<?php

namespace Controllers;

use Libs\ResponseLib;
use Psr\Http\Message\ServerRequestInterface;

class HelloController
{
    public function __invoke(ServerRequestInterface $request)
    {
        // Se a execução chegou aqui, o Middleware já garantiu que o JWT é válido.
        return ResponseLib::sendOk(['status' => 'active']);
    }
}